apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: dse2021-ingress
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/add-base-url: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/service-upstream: "true"
spec:
  rules:
    - http:
        paths:
          - path: /(.+)
            pathType: ImplementationSpecific
            backend:
              service:
                name: controlcenter
                port:
                  number: 80
          - path: /xway/(.+)
            pathType: ImplementationSpecific
            backend:
              service:
                name: xway
                port:
                  number: 5004
